Bug 10866 - PCMCIA kernel device is not allocating correct IRQs?
PCMCIA kernel device is not allocating correct IRQs?
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-17 02:28 EDT by Rick van Rein
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-22 02:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick van Rein 2000-04-17 02:28:51 EDT
My Dell laptop has been running 6.1 for about 4months, and I just upgraded
to 6.2 using an iso CD.  I have two CARDBUS ports on my Inspiron 7000, but
for some reason Linux is only able to assign interrupts to one of them at a
time.  I have a scsi card and a 3com ethernet card.  I was unable to track
the problem when booting with dmesg, but when I remove and replace the card
running dmesg provides this message:

 cs: cb_free(bus 32)
cs: cb_alloc(bus 32): vendor 0x9004, device 0x6075
ROM image dump:
  image 0: 0x000000-0x0001ff, signature PCIR
  image 1: 0x000200-0x0003ff, signature PCIR
cs: cb_config(bus 32)
  fn 0 bar 1: io 0xa00-0xaff
  fn 0 bar 2: mem 0x60050000-0x60050fff
  fn 0 rom: mem 0x60040000-0x6004ffff
cs: cb_enable(bus 32)
  bridge io map 0 (flags 0x21): 0xa00-0xaff
  bridge mem map 0 (flags 0x1): 0x60040000-0x60050fff
apa1480_attach(bus 32, function 0)
aic7xxx: <Adaptec PCMCIA SCSI controller> at PCI 32/0/0
aic7xxx: I/O ports already in use, ignoring.
apa1480_cs: no SCSI devices found
scsi : 0 hosts.
cs: cb_disable(bus 32)
cs: cb_release(bus
32)

I hope this provides some use for you.  If you need any more information,
please let me know, and I am completely willing to help in any way
possible.

Patrick Krautter
patk@sig.net
Comment 1 Doug Ledford 2000-04-22 01:13:59 EDT
This is a bug in the pcmcia package.  Later pcmcia packages are known to solve
this problem, but have not yet been fully tested for release purposes.  This
will be fixed with the next upgrade of the pcmcia package in the Red Hat
kernels.
Comment 2 chris 2000-06-22 04:53:32 EDT
Any progress on this?  I realise you're all busy guys...but we have had quite a
few kernel updates over the past couple of months, and still no pcmcia-cs
update.  Thanks!
Comment 3 tony 2000-06-23 04:14:00 EDT
Hi Doug.  This is a severe bug that really deserves a bugfix update.
I simply cannot use RH6.2 on any of our laptops - the driver locks
them all solid :-(

Note You need to log in before you can comment on or make changes to this bug.